// === ledcontrol.h ===
#ifndef _LEDCONTROL_H_
#define _LEDCONTROL_H_

#include <Arduino.h>
#include "led_colors.h"

// LED-Muster
enum LedPattern
{
    LED_PATTERN_ON,
    LED_PATTERN_FLASH,
    LED_PATTERN_FLASH_FAST,
    LED_PATTERN_BLINK,
    LED_PATTERN_BLINK_FAST,
    LED_PATTERN_BREATH,
    LED_PATTERN_BREATH_REVERSE
};

// Initialisiert die LED-Steuerung
void LEDControl_Init(uint8_t pin);

// Setzt den Basiszustand (Farbe + Pattern), wird verwendet wenn kein Override aktiv ist
void LEDControl_SetBasic(uint32_t color, LedPattern pattern);

// Setzt ein Override mit Timeout (0 = bis explizit gecleart)
void LEDControl_SetOverride(uint32_t color, LedPattern pattern, uint32_t durationMs);

// Hebt das Override wieder auf
void LEDControl_ClearOverride();

// Muss regelmäßig aus loop() aufgerufen werden
void LEDControl_Update();

#endif
