// === button_actions.cpp ===
#include "button_actions.h"
#include "globals.h"
#include "debugger.h"
#include "led_colors.h"

void ButtonAction_ToggleMode()
{
    if (globals.systemStatus == sysStat_Normal)
    {
        globals.systemStatus = sysStat_Rain;
    }
    else if (globals.systemStatus == sysStat_Rain)
    {
        globals.systemStatus = sysStat_Normal;
    }
    Debug_pushMessage("Toggling Mode\n");
}

void ButtonAction_StartPurge()
{
    globals.systemStatus = sysStat_Purge;
    Debug_pushMessage("Starting Purge\n");
}

void ButtonAction_ToggleWiFi()
{
    globals.toggle_wifi = true;
    Debug_pushMessage("Toggling WiFi\n");
}

void ButtonAction_WashMode()
{
    globals.systemStatus = sysStat_Wash;
    Debug_pushMessage("Setting WashMode\n");
}

// Liste der Aktionen, sortiert nach Mindest-Haltezeit (ms)
const ButtonActionEntry buttonActions[] = {
    {500, LED_RAIN_COLOR, ButtonAction_ToggleMode},
    {3500, LED_WASH_COLOR, ButtonAction_WashMode},
    {6500, LED_PURGE_COLOR, ButtonAction_StartPurge},
    {9500, LED_WIFI_COLOR, ButtonAction_ToggleWiFi},
};

const uint8_t buttonActionCount = sizeof(buttonActions) / sizeof(ButtonActionEntry);
